local settings = vim.opt

-- Line numbers
settings.relativenumber = true
settings.number = true

-- Scrolling
settings.scrolloff = 10

-- Searching
settings.incsearch = true
settings.hls = false

-- Indentation (move to python specific file)
settings.tabstop = 4
settings.shiftwidth = 4
settings.softtabstop = 4
settings.autoindent = true
settings.smartindent = true

-- Folding
settings.foldmethod = "indent"
settings.foldnestmax = 99
settings.foldlevelstart = 99

-- slime
vim.g.slime_target = "tmux"
vim.g.slime_default_config = {
  socket_name = vim.api.nvim_eval('get(split($TMUX, ","), 0)'),
  target_pane = "{bottom}",
}

-- Airline
vim.g.airline_powerline_fonts = 1
vim.g.airline_extensions_tabline_enabled = 1
